#include "StdAfx.h"
#include "FormMain.h"
#include "SetRect.h"

namespace Sample {

	System::Void formSetRect::formSetRect_Load(System::Object^  sender, System::EventArgs^  e)
	{
		// ݒ\
		if (formMain::blnEnableSetRect)
			radioEnableSetRect->Checked = true;
		else
			radioDisableSetRect->Checked = true;

		textRectLeft->Text = Convert::ToString(formMain::nRectLeft);
		textRectTop->Text = Convert::ToString(formMain::nRectTop);
		textRectRight->Text = Convert::ToString(formMain::nRectRight);
		textRectBottom->Text = Convert::ToString(formMain::nRectBottom);
	}

	System::Void formSetRect::radioDisableSetRect_Click(System::Object^  sender, System::EventArgs^  e)
	{
		// W͕s
		EnableEditControl(false);
	}

	System::Void formSetRect::radioEnableSetRect_Click(System::Object^  sender, System::EventArgs^  e)
	{
		// W͉
		EnableEditControl(true);
	}
	
	System::Void formSetRect::buttonOK_Click(System::Object^  sender, System::EventArgs^  e)
	{
		// ݒۑ
		formMain::blnEnableSetRect = radioEnableSetRect->Checked;

		formMain::nRectLeft = Convert::ToInt32(textRectLeft->Text);
		formMain::nRectTop = Convert::ToInt32(textRectTop->Text);
		formMain::nRectRight = Convert::ToInt32(textRectRight->Text);
		formMain::nRectBottom = Convert::ToInt32(textRectBottom->Text);

		Close();
	}

	System::Void formSetRect::buttonCancel_Click(System::Object^  sender, System::EventArgs^  e)
	{
		Close();
	}

	System::Void formSetRect::EnableEditControl(bool blnEnable)
	{
		// W̓eLXg{bNXL^؂芷

		textRectLeft->Enabled = blnEnable;
		textRectLeft->ReadOnly = ! blnEnable;

		textRectTop->Enabled = blnEnable;
		textRectTop->ReadOnly = ! blnEnable;

		textRectRight->Enabled = blnEnable;
		textRectRight->ReadOnly = ! blnEnable;

		textRectBottom->Enabled = blnEnable;
		textRectBottom->ReadOnly = ! blnEnable;
	}
}
